<?php
// Variables attendues du contrôleur: $translations, $currentLang, $darkModeClass, $username, $userRole
require_once APP_ROOT_DIR . '/src/Views/shared/header.php';
?>

    <div class="container">
        <h1><?= str_replace('{username}', htmlspecialchars($username), htmlspecialchars($translations['welcome'])) ?></h1>

        <nav>
            <ul>
                <li><a href="/certificates"><?= htmlspecialchars($translations['certificates']) ?></a></li>
                <li><a href="/perimeters"><?= htmlspecialchars($translations['functional_perimeters']) ?></a></li>
                <?php if ($userRole === 'admin'): ?>
                <li><a href="/users"><?= htmlspecialchars($translations['users']) ?></a></li>
                <?php endif; ?>
                <li><a href="/logout" class="button logout-button"><?= htmlspecialchars($translations['logout']) ?></a></li>
            </ul>
        </nav>

        <section class="quick-actions">
            <h2><?= htmlspecialchars($translations['quick_actions']) ?></h2>
            <ul>
                <li><a href="/certificates/create" class="button create-button"><?= htmlspecialchars($translations['create_new_certificate']) ?></a></li>
                <li><a href="/perimeters/create" class="button create-button"><?= htmlspecialchars($translations['create_new_perimeter']) ?></a></li>
                <?php if ($userRole === 'admin'): ?>
                <li><a href="/users/create" class="button create-button"><?= htmlspecialchars($translations['new_user']) ?></a></li>
                <?php endif; ?>
            </ul>
        </section>
    </div>

<?php
require_once APP_ROOT_DIR . '/src/Views/shared/footer.php';
?>
