<?php
// Variables attendues du contrôleur: $translations, $currentLang, $darkModeClass, $errorMessage
require_once APP_ROOT_DIR . '/src/Views/shared/header.php';
?>

    <div class="container">
        <h1><?= htmlspecialchars($translations['create_new_user']) ?></h1>
        <a href="/users" class="button secondary-button"><?= htmlspecialchars($translations['back_to_user_list']) ?></a>

        <?php if (isset($errorMessage)): ?>
            <p class="error-message"><?= htmlspecialchars($errorMessage); ?></p>
        <?php endif; ?>

        <form action="/users/create" method="post">
            <label for="username"><?= htmlspecialchars($translations['username']) ?>:</label><br>
            <input type="text" id="username" name="username" required autocomplete="new-username"><br><br>

            <label for="password"><?= htmlspecialchars($translations['password']) ?>:</label><br>
            <input type="password" id="password" name="password" required autocomplete="new-password"><br><br>

            <label for="role"><?= htmlspecialchars($translations['user_role']) ?>:</label><br>
            <select id="role" name="role" required>
                <option value="user"><?= htmlspecialchars($translations['user']) ?></option>
                <option value="admin"><?= htmlspecialchars($translations['admin']) ?></option>
            </select><br><br>

            <button type="submit" class="button primary-button"><?= htmlspecialchars($translations['create_user_button']) ?></button>
        </form>
    </div>

<?php
require_once APP_ROOT_DIR . '/src/Views/shared/footer.php';
?>
